# Update Item Updates an item. Endpoint: PUT /items/{item_id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `item_id` (string, required) ID of the item. Example: "12345" ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Request fields (application/json): - `item` (object, required) - `item.name` (string, required) Item name. Values longer than 60 characters are rejected with HTTP 422 — they are not truncated. Example: "Item name" - `item.description` (string) Item description. Values longer than 200 characters are rejected with HTTP 422 — they are not truncated. Example: "Item description" - `item.unit_price` (number, required) Example: 9.99 - `item.unit` (string) One of: hour, day, month, unit, service, tax, other, product, article. Example: "service" - `item.tax` (object) - `item.tax.name` (string) Example: "IVA23" ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error" ## Response 404 fields (application/json): - `errors` (array) Example: ["Item not found."] ## Response 422 fields (application/json): - `errors` (array) Lista de objetos contendo mensagens de erro detalhadas. Example: [{"error":"Name is not available."},{"error":"Name can't be changed because it is already associated with invoices"},{"error":"Price is not valid. Check the decimal mark and if you are inserting only numbers."}] - `errors.error` (string) ## Response 200 fields